Set routing plan
curl --request PUT \
--url https://{host}/api/supervisors/{name}/networking/routing-plan \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"bfd": true,
"infraAS": 123,
"infraPeers": [
"<string>"
],
"md5": true,
"md5Password": "<string>",
"ourAS": 123,
"softReconfig": true,
"type": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/networking/routing-plan"
payload = {
"bfd": True,
"infraAS": 123,
"infraPeers": ["<string>"],
"md5": True,
"md5Password": "<string>",
"ourAS": 123,
"softReconfig": True,
"type": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
bfd: true,
infraAS: 123,
infraPeers: ['<string>'],
md5: true,
md5Password: '<string>',
ourAS: 123,
softReconfig: true,
type: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/networking/routing-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/routing-plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'bfd' => true,
'infraAS' => 123,
'infraPeers' => [
'<string>'
],
'md5' => true,
'md5Password' => '<string>',
'ourAS' => 123,
'softReconfig' => true,
'type' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/routing-plan"
payload := strings.NewReader("{\n \"bfd\": true,\n \"infraAS\": 123,\n \"infraPeers\": [\n \"<string>\"\n ],\n \"md5\": true,\n \"md5Password\": \"<string>\",\n \"ourAS\": 123,\n \"softReconfig\": true,\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/supervisors/{name}/networking/routing-plan")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"bfd\": true,\n \"infraAS\": 123,\n \"infraPeers\": [\n \"<string>\"\n ],\n \"md5\": true,\n \"md5Password\": \"<string>\",\n \"ourAS\": 123,\n \"softReconfig\": true,\n \"type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/routing-plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"bfd\": true,\n \"infraAS\": 123,\n \"infraPeers\": [\n \"<string>\"\n ],\n \"md5\": true,\n \"md5Password\": \"<string>\",\n \"ourAS\": 123,\n \"softReconfig\": true,\n \"type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>"
}{
"error": "<string>"
}networking
Set routing plan
Routing plan — Prerequisites “Routing” intent (static vs BGP/FRR) + the
Authorisation: cilium:Apply on krn:celum:supervisor:{name}:cilium:*.
PUT
/
api
/
supervisors
/
{name}
/
networking
/
routing-plan
Set routing plan
curl --request PUT \
--url https://{host}/api/supervisors/{name}/networking/routing-plan \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"bfd": true,
"infraAS": 123,
"infraPeers": [
"<string>"
],
"md5": true,
"md5Password": "<string>",
"ourAS": 123,
"softReconfig": true,
"type": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/networking/routing-plan"
payload = {
"bfd": True,
"infraAS": 123,
"infraPeers": ["<string>"],
"md5": True,
"md5Password": "<string>",
"ourAS": 123,
"softReconfig": True,
"type": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
bfd: true,
infraAS: 123,
infraPeers: ['<string>'],
md5: true,
md5Password: '<string>',
ourAS: 123,
softReconfig: true,
type: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/networking/routing-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/routing-plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'bfd' => true,
'infraAS' => 123,
'infraPeers' => [
'<string>'
],
'md5' => true,
'md5Password' => '<string>',
'ourAS' => 123,
'softReconfig' => true,
'type' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/routing-plan"
payload := strings.NewReader("{\n \"bfd\": true,\n \"infraAS\": 123,\n \"infraPeers\": [\n \"<string>\"\n ],\n \"md5\": true,\n \"md5Password\": \"<string>\",\n \"ourAS\": 123,\n \"softReconfig\": true,\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/supervisors/{name}/networking/routing-plan")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"bfd\": true,\n \"infraAS\": 123,\n \"infraPeers\": [\n \"<string>\"\n ],\n \"md5\": true,\n \"md5Password\": \"<string>\",\n \"ourAS\": 123,\n \"softReconfig\": true,\n \"type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/routing-plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"bfd\": true,\n \"infraAS\": 123,\n \"infraPeers\": [\n \"<string>\"\n ],\n \"md5\": true,\n \"md5Password\": \"<string>\",\n \"ourAS\": 123,\n \"softReconfig\": true,\n \"type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Body
application/json
Response
object | null
Success.